### Class

# Gtk StringFilter

#### Description [src]

    final class Gtk.StringFilter : Gtk.Filter {
      /* No available fields */
    }

`GtkStringFilter` determines whether to include items by comparing strings to a fixed search term.

The strings are obtained from the items by evaluating a `GtkExpression` set with gtk_string_filter_set_expression(), and they are compared against a search term set with gtk_string_filter_set_search().

`GtkStringFilter` has several different modes of comparison - it can match the whole string, just a prefix, or any substring. Use gtk_string_filter_set_match_mode() choose a mode.

It is also possible to make case-insensitive comparisons, with gtk_string_filter_set_ignore_case().

#### Hierarchy

#### Ancestors

- GtkFilter
- GObject

#### Constructors

###### gtk_string_filter_new

Creates a new string filter.

#### Instance methods

###### gtk_string_filter_get_expression

Gets the expression that the string filter uses to obtain strings from items.

###### gtk_string_filter_get_ignore_case

Returns whether the filter ignores case differences.

###### gtk_string_filter_get_match_mode

Returns the match mode that the filter is using.

###### gtk_string_filter_get_search

Gets the search term.

###### gtk_string_filter_set_expression

Sets the expression that the string filter uses to obtain strings from items.

###### gtk_string_filter_set_ignore_case

Sets whether the filter ignores case differences.

###### gtk_string_filter_set_match_mode

Sets the match mode for the filter.

###### gtk_string_filter_set_search

Sets the string to search for.

##### Methods inherited from GtkFilter (3)

###### gtk_filter_changed

Notifies all users of the filter that it has changed.

###### gtk_filter_get_strictness

Gets the known strictness of `filters`.

###### gtk_filter_match

Checks if the given `item` is matched by the filter or not.

#### Properties

###### Gtk.StringFilter:expression

The expression to evaluate on item to get a string to compare with.

###### Gtk.StringFilter:ignore-case

If matching is case sensitive.

###### Gtk.StringFilter:match-mode

If exact matches are necessary or if substrings are allowed.

###### Gtk.StringFilter:search

The search term.

#### Class structure

    struct GtkStringFilterClass {
      GtkFilterClass parent_class;

    }

###### Class members

`parent_class` |
    GtkFilterClass
| No description available.